access / openid
3 operations.
GET /access/openid
ts
proxmox.access.openid.$get()Directory index.
Returns an array of object.
POST /access/openid/auth-url
ts
proxmox.access.openid["auth-url"].$post()Get the OpenId Authorization Url for the specified realm.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
realm | string | yes | Authentication domain ID — format pve-realm, ≤ 32 chars |
redirect-url | string | yes | Redirection Url. The client should set this to the used server url (location.origin). — ≤ 255 chars |
POST /access/openid/login
ts
proxmox.access.openid.login.$post()Verify OpenID authorization code and create a ticket.
Returns any.
| Parameter | Type | Required | Notes |
|---|---|---|---|
code | string | yes | OpenId authorization code. — ≤ 4096 chars |
redirect-url | string | yes | Redirection Url. The client should set this to the used server url (location.origin). — ≤ 255 chars |
state | string | yes | OpenId state. — ≤ 1024 chars |